<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Gruppen-Verwaltung</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="css/dashboard-custom.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}
{% include 'snippets/guide/container-modal.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">
    <div class="az-header">
        <div class="container">
            <div class="az-header-left">
                <a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a>
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="account management">Kontoverwaltung</span></a>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                    <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
            </div><!-- az-header-menu -->
            <div class="az-header-right">
                <div data-permission="dashboard" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                    <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                        <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
                </div>
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <i class="icon ion-md-arrow-forward d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
                {% include 'snippets/content-left-account-nav.tpl' %}
            </div><!-- az-content-left -->

            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
                <div class="az-content-breadcrumb">
                    <span data-i18n="Dashboard">Dashboard</span>
                    <span data-i18n="Kontoverwaltung">Kontoverwaltung</span>
                    <span>Gruppen</span>
                </div>
                <div class="d-flex justify-content-between ">
                    <h2 data-i18n="Gruppen-Verwaltung" class="az-content-title">Gruppen-Verwaltung</h2>
                </div>


                <div id="create-group-wrapper" data-permission="system.groups.management.add" class="row mg-b-20 hidden">
                    <div class="col">
                        <div data-i18n="Neue Gruppe erstellen" class="az-content-label tx-13 mg-b-5">Neue Gruppe erstellen</div>
                        <p data-i18n="Jede Gruppe braucht einen eindeutigen Namen und Beschreibung." class="mg-b-20">Jede Gruppe braucht einen eindeutigen Namen und Beschreibung.
                        </p>
                        <div class="wd-sm-250">
                            <!-- <form> -->
                            <div class="d-md-flex">
                                <div class="form-group mg-b-0">
                                    <label data-i18n="Name:" for="newgroupname" class="form-label">Name:
                                        <span class="tx-danger">*</span></label>
                                    <div class="input-group mb-3 wd-md-250 wd-xl-300">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">group.</span>
                                        </div>
                                        <input id="newgroupname" name="newgroupname" type="text" class="form-control" placeholder="" required>
                                        <span data-i18n="Bitte einen eindeutigen und gültigen Rollennamen (A-Z,0-9,_) eingeben." role="alert" id="newgroupnameError" class="error" aria-hidden="true">
                                Bitte einen eindeutigen und gültigen Gruppennamen (A-Z,0-9,_) eingeben.
                                    </span>
                                    </div><!-- input-group -->
                                </div><!-- form-group -->
                                <div class="form-group mg-b-0 mg-md-l-20 mg-t-20 mg-md-t-0">
                                    <label data-i18n="Beschreibung:" for="newgroupdescription" class="form-label">Beschreibung:
                                        <span class="tx-danger">*</span></label>
                                    <textarea id="newgroupdescription" name="newgroupdescription" rows="3" class="form-control wd-md-250 wd-xl-300" placeholder="Beschreibung eingeben" required></textarea>
                                    <span data-i18n="Bitte eine Beschreibung eingeben." role="alert" id="newgroupdescriptionError" class="error" aria-hidden="true">
                                Bitte eine Beschreibung eingeben.
                            </span>
                                </div><!-- form-group -->
                                <!-- </form> -->
                                <div class=" form-group mg-sm-l-10 mg-t-10 mg-sm-t-25">
                                    <button data-i18n="Neue Gruppe erstellen" id="createGroupButton" class="btn btn-az-primary text-nowrap pd-x-20">Neue Gruppe erstellen</button>
                                </div>
                            </div><!-- d-flex -->

                        </div>
                    </div><!-- col -->
                </div><!-- row -->

                <hr class="mg-y-20">

                <div id="manage-group-wrapper" class="row mg-b-20">
                    <div class="col">
                        <div data-i18n="AKTUELLE GRUPPEN" class="az-content-label tx-13 mg-b-5">AKTUELLE GRUPPEN</div>
                        <p data-i18n="Hier können Sie alle vorhandenen Gruppen verwalten." class="mg-b-20" data-i18n="">Hier können Sie alle vorhandenen Gruppen verwalten.
                        </p>

                        <div class="mg-b-20" id="bootstraptablecontainer">
                            <table class="table az-table-reference mg-0" id="bootstraptable">
                                <thead>
                                <tr>
                                    <th data-i18n="Gruppe" data-field="groupname" class="wd-40p force-wrap">Gruppe</th>
                                    <th data-i18n="Beschreibung" data-field="groupdescription" class="wd-50p force-wrap">Beschreibung</th>
                                    <th data-i18n="Optionen" data-field="options" class="btn-icon-list">Optionen</th>
                                </tr>
                                <tr>
                                    <td data-i18n="Gruppen werden geladen..." colspan="3">Gruppen werden geladen...</td>
                                </tr>
                                </thead>
                            </table>
                        </div>

                    </div><!-- col -->
                </div><!-- row -->

            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->
    
</div><!--contentwrapper-->

<div id="password_change_modal" style="display:none; cursor: default">
    <div class="password-change-dialog_wrapper modal-content">
        <div class="modal-header"><h6 class="modal-title">Password ändern</h6></div>
        <div class="modal-body">
            <div class="row row-xs mg-b-20">
                <div class="col-md-5"><label class="form-label text-left mg-b-0">Aktuelles Passwort:</label></div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="old_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5"><label class="form-label text-left mg-b-0">Neues Passwort:</label></div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password" type="password"/></div>
            </div>
            <div class="row row-xs mg-b-20">
                <div class="col-md-5"><label class="form-label text-left mg-b-0">Neues Passwort Bestätigen:</label>
                </div>
                <div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password_confirm" type="password"/></div>
            </div>
        </div>
        <div class="modal-footer justify-content-center">
            <button id="submit_password_dialog_button" type="button" class="btn btn-indigo">Passwort ändern</button>
            <button onclick="$.unblockUI();" type="button" class="btn btn-outline-light">Abbrechen</button>
        </div>
    </div>
</div>

{% include 'snippets/global-script-include.tpl' %}
<script src="/style-global/lib/bootstrap-table/js/bootstrap-table.min.js?v=[cs_version]"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    import {CONFIG} from '../pb-config.js?v=[cs_version]';

    new pbBrain().boot("group-managment-circuit");


</script>

</body>

</html>